AT-NFC 2.1 (win) AT-NFC kernel set

Data Structures | Macros | Typedefs | Functions
Entry Point registration interface

Entry Point registration interface definition. More...

## Data Structures
struct | tag_T_NFC_KER_API
| EP Kernel API struct. More...

## Macros
#define | T_NFC_EP_KER_API_RESET(DATA, SIZE)
| EP Kernel API struct reset macro definition. More...
#define | NAME_FUNC_T_NFC_EP_KER_REGISTER "t_nfc_epRegisterKernel"

## Typedefs
typedef KER_RES(KER_API * | FUNC_T_NFC_EP_KER_REGISTER) (T_NFC_EP_HANDLE pHandle, T_NFC_KER_API *pKerAPI)

## Functions
T_NFC_EP_MODE KER_RES KER_API | t_nfc_epRegisterKernel (T_NFC_EP_HANDLE pHandle, T_NFC_KER_API *pKerAPI)
| Entry Point Kernel registration. More...
typedef struct tag_T_NFC_KER_API | T_NFC_KER_API
| EP Kernel API struct.
#define | T_NFC_EP_KER_API_VERSION 0x0001
| EP Kernel API struct version ID. More...

## Detailed Description

Entry Point registration interface definition.

## Macro Definition Documentation

## ◆ NAME_FUNC_T_NFC_EP_KER_REGISTER

#define NAME_FUNC_T_NFC_EP_KER_REGISTER "t_nfc_epRegisterKernel"

\ ( )

## ◆ T_NFC_EP_KER_API_RESET

#define T_NFC_EP_KER_API_RESET | ( |  | DATA,
|  |  | SIZE
| ) |  |

Value:
do \
{ \
KER_MEM_SET(DATA, SIZE, 0, SIZE); \
(DATA)->usSize = SIZE; \
(DATA)->btVersion = T_NFC_EP_KER_API_VERSION; \
(DATA)->fTranInit = KER_NULL; \
(DATA)->fTranPreprocess = KER_NULL; \
(DATA)->fTranStart = KER_NULL; \
(DATA)->fTranIssUpdate = KER_NULL; \
(DATA)->fTranRelease = KER_NULL; \
(DATA)->fGetData = KER_NULL; \
(DATA)->fGetDataByTag = KER_NULL; \
(DATA)->fGetDataByTagList = KER_NULL; \
(DATA)->fGetDataByID = KER_NULL; \
} while (0)
KER_NULL
#define KER_NULL
Definition: emv_platform.h:80
T_NFC_EP_KER_API_VERSION
#define T_NFC_EP_KER_API_VERSION
EP Kernel API struct version ID.
Definition: t_nfc_ep_ker.h:41

EP Kernel API struct reset macro definition.

## ◆ T_NFC_EP_KER_API_VERSION

#define T_NFC_EP_KER_API_VERSION 0x0001

EP Kernel API struct version ID.

base version

## Typedef Documentation

## ◆ FUNC_T_NFC_EP_KER_REGISTER

typedef KER_RES(KER_API * FUNC_T_NFC_EP_KER_REGISTER) (T_NFC_EP_HANDLE pHandle, T_NFC_KER_API *pKerAPI)

\ ( )

## Function Documentation

## ◆ t_nfc_epRegisterKernel()

T_NFC_EP_MODE KER_RES KER_API t_nfc_epRegisterKernel | ( | T_NFC_EP_HANDLE | pHandle,
|  | T_NFC_KER_API * | pKerAPI
| ) |  |

Entry Point Kernel registration.

App should call this function for every supported kerne

Parameters

  [in] | pHandle | - Entry Point handle
  [in] | pKerAPI | - Kernel API to register

Returns
  T_NFC_EP_OK Success.
  Other - Failure